import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import { Creator } from ".";
export declare const AR_SOL_HOLDER_ID: PublicKey;
export declare const ARWEAVE_UPLOAD_URL: string;
export declare const MEMO_ID: PublicKey;
declare type ArweaveFile = {
    filename: string;
    status: "success" | "fail";
    transactionId?: string;
    error?: string;
};
interface IArweaveResult {
    error?: string;
    messages?: Array<ArweaveFile>;
}
export declare const LAMPORT_MULTIPLIER: number;
export declare function uploadToArweave(txid: string, mintKey: PublicKey, files: File[], uploadUrl?: string): Promise<IArweaveResult>;
export declare const prepPayForFilesInstructions: (payer: PublicKey, files: File[]) => Promise<TransactionInstruction[]>;
export declare function getFilesWithMetadata(files: File[], metadata: {
    name: string;
    symbol: string;
    description: string;
    image: string | undefined;
    animation_url: string | undefined;
    external_url: string;
    properties: any;
    creators: Creator[] | null;
    sellerFeeBasisPoints: number;
}): File[];
export {};
//# sourceMappingURL=arweave.d.ts.map